View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000466Ecere SDKidepublic2010-07-26 04:582013-05-19 22:15
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000466: ide: build: Fix up modified and rebuilding behavior
Description   [ ] Fix up modified and rebuilding behavior
any change in the project settings should mark makefile generation/linking to be done
and any modifications to the 'compiling'
should ask on saving if we want to rebuild the project
if we want to mark the project for rebuild, not forced, like it was before
 and... it'd be nice if some things like marking console application
 could mark the symbol file to be regenerated, adding / removing files require that too
 that should be a new modified flags
TagsNo tags attached.
Attached Files

- Relationships
related to 0000585new More accurate tracking of compilingModified / linkingModified 

-  Notes
(0000259)
redj (administrator)
2010-07-26 05:00

perhaps most of this has been taken care of already?
(0000262)
jerome (administrator)
2010-07-26 11:41
edited on: 2010-12-07 04:15

Some of it perhaps, must go over all these to 'ensure' things work as they should.
On the other side of things there is some annoying over-generation of makefiles, especially when many configs are in the project. Let's take a fresh new look at how this is done.

   -- This is especially annoying if you have McAffee forcedly installed on your system =)

(0000419)
jerome (administrator)
2010-12-07 02:20
edited on: 2010-12-07 04:04

[ X ] Update Makefiles on GlobalSettings Compiler Configs modifications
[ - ] Regenerate Makefile on Add/Remove file to project --> that is already being done.
[ ] Regenerate Symbol files on Adding, Removing, Console App setting
[ ] Compiling Options should ask on Save whether to delete object files

Added revision 162 to E:\newroot\sdk\ide\src\ide.ec
Added revision 50 to E:\newroot\sdk\ide\src\dialogs\GlobalSettingsDialog.ec
Added revision 174 to E:\newroot\sdk\ide\src\project\Project.ec
Added revision 6 to E:\newroot\sdk\ide\src\IDESettings.ec

(0000420)
jerome (administrator)
2010-12-07 05:24
edited on: 2010-12-07 05:31

All the compilerModified , linkingModified , makingModified were not being set.

Put in place Project::MarkChanges which can verify the current project against the backup to see exactly what changes. For now only the symbolGen flag is marked.

The Makefiles are being marked to be regenerated everytime when the project is saved.

They're no longer being regenerated on the Project save or when the project is tagged as modified.

Added revision 29 to E:\newroot\sdk\ide\src\dialogs\NodeProperties.ec
Added revision 175 to E:\newroot\sdk\ide\src\project\Project.ec
Added revision 117 to E:\newroot\sdk\ide\src\project\ProjectView.ec
Added revision 38 to E:\newroot\sdk\ide\src\project\ProjectConfig.ec
Added revision 93 to E:\newroot\sdk\ide\src\ProjectSettings.ec

Left to do (inside MarkChanges):

[ ] Detect Linking modifications and mark linkingModified
[ ] Detect Compiling modifications and ask whether the entire project should be rebuilt
[ ] Per platform/file/... options

(0000425)
jerome (administrator)
2010-12-15 04:58

All the major issues of the description have been fixed.
Some further improvements to mark compilingModified and linkingModified will be assigned to a later issue.

- Issue History
Date Modified Username Field Change
2010-07-26 04:58 redj New Issue
2010-07-26 04:58 redj Relationship added child of 0000429
2010-07-26 05:00 redj Note Added: 0000259
2010-07-26 11:41 jerome Note Added: 0000262
2010-07-26 14:07 redj Note Added: 0000271
2010-07-26 14:14 redj Note Deleted: 0000271
2010-07-26 19:35 thexa4 Target Version => 0.44 draft 2
2010-12-07 02:20 jerome Note Added: 0000419
2010-12-07 02:22 jerome Note Edited: 0000419
2010-12-07 02:47 jerome Note Edited: 0000419
2010-12-07 04:04 jerome Note Edited: 0000419
2010-12-07 04:15 jerome Note Edited: 0000262
2010-12-07 05:24 jerome Note Added: 0000420
2010-12-07 05:26 jerome Note Edited: 0000420
2010-12-07 05:31 jerome Note Edited: 0000420
2010-12-15 04:58 jerome Status new => resolved
2010-12-15 04:58 jerome Fixed in Version => 0.44 pre-release 2
2010-12-15 04:58 jerome Resolution open => fixed
2010-12-15 04:58 jerome Assigned To => jerome
2010-12-15 04:58 jerome Note Added: 0000425
2010-12-15 05:02 jerome Relationship added related to 0000585
2012-03-08 15:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 17:39 redj Relationship deleted child of 0000429
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker